#1617 closed defect (fixed)

Coverage Improvement: mount-mgr.c, few other wrapper / reentrant routines under libcsupport

Reported by: Bharath Suri Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: unspecified Version: 4.10
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

PR to track changes/addition of tests to improve coverage of mount-mgr.c and the following routines

_gettimeofday
_link_r
_lstat_r
_realloc_r
_stat_r
_unlink_r

Attachments (7)

spmountmgr01.tar.bz2 (1.8 KB) - added by Bharath Suri on Jul 15, 2010 at 6:33:09 AM.
New test: spmountmgr01 @ testsuites/sptests
testsuites-changes (6.2 KB) - added by Bharath Suri on Jul 15, 2010 at 6:37:36 AM.
Patch @ testsuites/
ChangeLog-libtests (130 bytes) - added by Bharath Suri on Jul 15, 2010 at 6:38:09 AM.
Updated ChangeLog? @ testsuites/libtests
ChangeLog-psxtests (340 bytes) - added by Bharath Suri on Jul 15, 2010 at 6:38:34 AM.
Updated ChangeLog? @ testsuites/psxtests
ChangeLog-sptests (318 bytes) - added by Bharath Suri on Jul 15, 2010 at 6:38:55 AM.
Updated ChangeLog? @ testsuites/sptests
spmountmgr01-changes (2.7 KB) - added by Bharath Suri on Jul 16, 2010 at 1:55:16 PM.
Patch @ testsuites/sptests/spmountmgr01/
sptests-ChangeLog-changes (196 bytes) - added by Bharath Suri on Jul 16, 2010 at 1:56:01 PM.
Updated ChangeLog? @ testsuites/sptests

Download all attachments as: .zip

Change History (13)

Changed on Jul 15, 2010 at 6:33:09 AM by Bharath Suri

Attachment: spmountmgr01.tar.bz2 added

New test: spmountmgr01 @ testsuites/sptests

Changed on Jul 15, 2010 at 6:37:36 AM by Bharath Suri

Attachment: testsuites-changes added

Patch @ testsuites/

Changed on Jul 15, 2010 at 6:38:09 AM by Bharath Suri

Attachment: ChangeLog-libtests added

Updated ChangeLog? @ testsuites/libtests

Changed on Jul 15, 2010 at 6:38:34 AM by Bharath Suri

Attachment: ChangeLog-psxtests added

Updated ChangeLog? @ testsuites/psxtests

Changed on Jul 15, 2010 at 6:38:55 AM by Bharath Suri

Attachment: ChangeLog-sptests added

Updated ChangeLog? @ testsuites/sptests

comment:1 Changed on Jul 15, 2010 at 6:39:20 AM by Bharath Suri

attachments.ispatch: 01
attachments.mimetype: application/octet-streamtext/plain

comment:2 Changed on Jul 15, 2010 at 1:31:53 PM by Joel Sherrill

Resolution: fixed
Status: newclosed

comment:3 Changed on Jul 16, 2010 at 1:50:22 PM by Bharath Suri

Resolution: fixed
Status: closedreopened

Changed on Jul 16, 2010 at 1:55:16 PM by Bharath Suri

Attachment: spmountmgr01-changes added

Patch @ testsuites/sptests/spmountmgr01/

Changed on Jul 16, 2010 at 1:56:01 PM by Bharath Suri

Attachment: sptests-ChangeLog-changes added

Updated ChangeLog? @ testsuites/sptests

comment:4 Changed on Jul 16, 2010 at 2:44:44 PM by Joel Sherrill

Resolution: fixed
Status: reopenedclosed

comment:5 Changed on Jul 16, 2010 at 2:48:34 PM by Bharath Suri

Yay! :) Now for the 100%.

comment:6 Changed on Oct 10, 2017 at 6:46:55 AM by Sebastian Huber

Component: testingunspecified
Note: See TracTickets for help on using tickets.